> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hellopay.com.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all payins

> Retrieves a cursor-paginated list of payins.



## OpenAPI

````yaml /openapi.yaml get /payins
openapi: 3.0.0
info:
  title: HelloPay API
  description: HelloPay Backend API Documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payins:
    get:
      tags:
        - Payins
      summary: Get all payins
      description: Retrieves a cursor-paginated list of payins.
      operationId: PayinsController_getPayins
      parameters:
        - name: cursor
          required: false
          in: query
          description: Opaque cursor for the target page
          schema:
            example: >-
              eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9
            type: string
        - name: pageSize
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: List of payins with cursor pagination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayinsResponseDto'
        '401':
          description: Unauthorized
components:
  schemas:
    PayinsResponseDto:
      type: object
      properties:
        data:
          description: List of payins
          type: array
          items:
            $ref: '#/components/schemas/PayinResponse'
        pageInfo:
          description: Cursor pagination metadata
          allOf:
            - $ref: '#/components/schemas/CursorPageInfoDto'
      required:
        - data
        - pageInfo
    PayinResponse:
      type: object
      properties:
        id:
          type: string
          description: Payin ID
          example: 123e4567-e89b-12d3-a456-426614174000
        amount:
          type: number
          description: Payin amount
          example: 100000
        amountInCents:
          type: number
          description: Payin amount in cents
          example: 10000000
        confirmedAmount:
          type: object
          description: Payin confirmed amount
          example: 100000
        confirmedAmountInCents:
          type: object
          description: Payin confirmed amount in cents
          example: 10000000
        currency:
          type: string
          description: Payin currency
          example: COP
        status:
          type: string
          description: Payin status
          example: PENDING
        settlementStatus:
          type: object
          description: Payin settlement status
          example: PENDING_SETTLEMENT
        rail:
          type: string
          description: Payin rail
          example: BRE_B
        reference:
          type: string
          description: Payin reference
          example: INV-2024-001
        paymentLinkId:
          type: object
          description: Payin payment link ID
          example: 123e4567-e89b-12d3-a456-426614174000
        inlineCustomer:
          type: object
          description: Payin inline customer
          example: John Doe
        errorCode:
          type: object
          description: Payin error code
          example: null
        createdAt:
          format: date-time
          type: string
          description: Payin created at
          example: '2024-01-01T00:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          description: Payin updated at
          example: '2024-01-01T00:00:00.000Z'
        resultAt:
          type: object
          description: Payin result at
          example: '2024-01-01T00:00:00.000Z'
        chargebackAt:
          type: object
          description: Payin chargeback at
          example: '2024-01-01T00:00:00.000Z'
        organizationId:
          type: string
          description: Payin organization ID
          example: 123e4567-e89b-12d3-a456-426614174000
        sourceData:
          description: Payin pse response
          allOf:
            - $ref: '#/components/schemas/BrebDto'
        callbackUrl:
          type: object
          description: Payin callback URL
          example: https://example.com/callback
      required:
        - id
        - amount
        - amountInCents
        - confirmedAmount
        - confirmedAmountInCents
        - currency
        - status
        - settlementStatus
        - rail
        - reference
        - createdAt
        - updatedAt
        - organizationId
    CursorPageInfoDto:
      type: object
      properties:
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: true
        hasPrevious:
          type: boolean
          description: Whether there is a previous page
          example: false
        nextCursor:
          type: object
          description: Opaque cursor for the next page
          example: >-
            eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9
          nullable: true
        previousCursor:
          type: object
          description: Opaque cursor for the previous page
          example: >-
            eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9
          nullable: true
      required:
        - hasNext
        - hasPrevious
    BrebDto:
      type: object
      properties:
        keyString:
          type: string
          description: BREB payment key string
          example: breb-key-string
      required:
        - keyString

````